/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ConfigurationVO.as 20254 2010-09-03 13:17:32Z skabore $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.admin.autostart.view {

    import com.adobe.cairngorm.control.CairngormEventDispatcher;
    import org.ow2.jonas.admin.autostart.event.*;
    import org.ow2.jonas.admin.autostart.model.*;
    import org.ow2.jonas.admin.autostart.vo.*;

    import mx.containers.VBox;
    import mx.collections.ArrayCollection;
    import mx.controls.Alert;
    import flash.net.FileReference;

    public class ApplicationViewClass extends VBox {

        public function ApplicationViewClass() {
        }

        [Bindable]
        public var model : BuilderModelLocator =
            BuilderModelLocator.getInstance();

        public function init() : void {
            var event : BuilderEvent =
                new BuilderEvent(BuilderEvent.EVENT_AVAILABLE_APPLI + model.componentID);
            CairngormEventDispatcher.getInstance().dispatchEvent(event);
        }

        public function downloadFileEvent(url:String) : void {
            var builderVo : BuilderVO = new BuilderVO();
            builderVo.parameter = url;
            var eventDownloadFile : BuilderEvent =
            new BuilderEvent(BuilderEvent.EVENT_DOWNLOAD_FILE + model.componentID);
            CairngormEventDispatcher.getInstance().dispatchEvent(
                eventDownloadFile);
        }

        public function isValidUrl(url : String) : void {
            var builderVo : BuilderVO = new BuilderVO();
            builderVo.parameter = url;
            var eventDownloadFile : BuilderEvent =
            new BuilderEvent(BuilderEvent.EVENT_IS_VALID_URL + model.componentID);
            CairngormEventDispatcher.getInstance().dispatchEvent(
                eventDownloadFile);
        }
    }
}
